<?php


namespace App\Services;


use Yansongda\Pay\Pay;

class PayService
{
    //public function

    public static function ali_config(){
        $config = [
            'app_id' => '2016082000295641',
            'notify_url' => 'https://'.$_SERVER['HTTP_HOST'].'/api/ali_notify',
            'return_url' => 'https://'.$_SERVER['HTTP_HOST'].'/api/ali_return',
            'ali_public_key' => '',//支付宝公钥
            'private_key' => '',//应用私钥
            'log' => [ // optional
                'file' => './logs/alipay.log',
                'level' => 'info', // 建议生产环境等级调整为 info，开发环境为 debug
                'type' => 'single', // optional, 可选 daily.
                'max_file' => 30, // optional, 当 type 为 daily 时有效，默认 30 天
            ],
            'http' => [ // optional
                'timeout' => 5.0,
                'connect_timeout' => 5.0,
                // 更多配置项请参考 [Guzzle](https://guzzle-cn.readthedocs.io/zh_CN/latest/request-options.html)
            ],
            // 'mode' => 'dev', // optional,设置此参数，将进入沙箱模式
        ];
        return $config;
    }

    public static function wx_config(){
        $config = [
            'appid' => env("WEIXIN_OPEN_APPID"), // APP APPID
            //'app_id' => 'wxb3fxxxxxxxxxxx', // 公众号 APPID
            //'miniapp_id' => 'wxb3fxxxxxxxxxxx', // 小程序 APPID
            'mch_id' => '1398823402',
            'key' => 'c1891122765718911227657189112276',
            'notify_url' => 'https://'.$_SERVER['HTTP_HOST'].'/api/wx_notify',
            //'cert_client' => './cert/apiclient_cert.pem', // optional, 退款，红包等情况时需要用到
            //'cert_key' => './cert/apiclient_key.pem',// optional, 退款，红包等情况时需要用到
            'log' => [ // optional
                'file' => './logs/wechat.log',
                'level' => 'debug', // 建议生产环境等级调整为 info，开发环境为 debug
                'type' => 'single', // optional, 可选 daily.
                'max_file' => 30, // optional, 当 type 为 daily 时有效，默认 30 天
            ],
            'http' => [ // optional
                'timeout' => 5.0,
                'connect_timeout' => 5.0,
                // 更多配置项请参考 [Guzzle](https://guzzle-cn.readthedocs.io/zh_CN/latest/request-options.html)
            ],
            // 'mode' => 'dev',
        ];
        return $config;
    }


    public static function pay($param){
        if($param['payment'] == 1){
            //$param['total_fee'] = $param['total_fee']*100;
            $param['total_fee'] = 1;
            $wechat = Pay::wechat(self::wx_config());
            return $wechat->app($param)->send();
        }else{
            $alipay = Pay::alipay(self::ali_config());
            return $alipay->app($param)->send();
        }
    }
}
